Refund Payment
curl --request POST \
--url https://sdk-api.playcamp.io/v1/server/payments/{transactionId}/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackId": "<string>",
"isTest": false
}
'import requests
url = "https://sdk-api.playcamp.io/v1/server/payments/{transactionId}/refund"
payload = {
"callbackId": "<string>",
"isTest": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callbackId: '<string>', isTest: false})
};
fetch('https://sdk-api.playcamp.io/v1/server/payments/{transactionId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"transactionId": "<string>",
"userId": "<string>",
"productId": "<string>",
"productName": "<string>",
"amount": 123,
"currency": "<string>",
"amountUsd": 123,
"campaignId": "<string>",
"creatorKey": "<string>",
"purchasedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"status": 400,
"error": "Bad Request",
"message": "Payment already refunded",
"code": "BAD_REQUEST"
}{
"status": 401,
"error": "Unauthorized",
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}{
"status": 404,
"error": "Not Found",
"message": "Payment not found: txn-12345",
"code": "NOT_FOUND"
}Payment
Refund Payment
Processes a payment refund. The refund amount will be deducted from the settlement.
POST
/
v1
/
server
/
payments
/
{transactionId}
/
refund
Refund Payment
Authorizations
Server API Key (format: {keyId}:{secret})
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I